Skip to main content
POST
/
managed_accounts
/
{id}
/
actions
/
enable
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.managedAccounts.actions.enable('id');

console.log(response.data);
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Managed Account User ID

Body

application/json

Additional parameters for what to do when enabling the managed account

reenable_all_connections
boolean
default:false

When true, all connections owned by this managed account will automatically be re-enabled. Note: Any connections that do not pass validations will not be re-enabled.

Example:

true

Response

Successful response with information about a single managed account.

data
ManagedAccount · object